org.jenkinsci.maven.plugins.hpi

## Class TagLibInterfaceGeneratorMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.jenkinsci.maven.plugins.hpi.TagLibInterfaceGeneratorMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class TagLibInterfaceGeneratorMojo
    extends org.apache.maven.plugin.AbstractMojo

Generates the strongly-typed Java interfaces for Groovy taglibs.

Author:
  Kohsuke Kawaguchi

### Field Summary

Fields
`protected java.io.File` `outputDirectory` The directory for the generated WAR.
`protected org.apache.maven.project.MavenProject` `project` The maven project.

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`TagLibInterfaceGeneratorMojo()`

### Method Summary

Methods
`void` `execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### project

    protected org.apache.maven.project.MavenProject project

The maven project.

#### outputDirectory

    protected java.io.File outputDirectory

The directory for the generated WAR.

### Constructor Detail

#### TagLibInterfaceGeneratorMojo

    public TagLibInterfaceGeneratorMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`